[
		{
			"to": "/SyncItemMaster",
	    "namespace": "xmlns=\"http://www.openapplications.org/oagis/9\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" languageCode=\"en-US\" versionID=\"release\" releaseID=\"release\" systemEnvironmentCode=\"Production\" xsi:schemaLocation=\"http://www.openapplications.org/oagis/9 http://distribution.logiasoftware.fi/public/oagis/schema/9_5_1/BODs/SyncItemMaster/SyncItemMaster.xsd\""
		},
    {
      "from": "pr_supplier_id",
      "to": "ApplicationArea/Sender/LogicalID"
    },
    {
      "from": "pr_customer_id",
      "to": "ApplicationArea/Receiver/LogicalID"
    },
    {
      "from": "pr_change_date",
      "to": "ApplicationArea/CreationDateTime"
    },
    {
      "from": "pr_type_",
      "to": "DataArea/Sync/ActionCriteria/ActionExpression[@actionCode=\"documentType\"]"
    },
    {
        "from": "X",
        "to": "DataArea/Sync/ActionCriteria/ChangeStatus/Reason"
    },
		{
		    "from": "pr",
		    "to": "/SyncItemMaster/DataArea/ItemMaster",
		    "array": [
    {
          "from": "pr_product_code",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"primary\"]/ID"
      },
      {
          "from": "X",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"secondary\"]/ID"
      },
      {
          "from": "pr_supplier_material_code",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"supplier\"]/ID"
      },
      {
          "from": "X",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"supplier\"]/VariationID"
      },
      {
          "from": "pr_tariff_heading",
          "to": "ItemMasterHeader/ItemID[@agencyRole=\"customs\"]/ID"
      },
      {
          "from": "pr_parcel_code",
          "to": "ItemMasterHeader/ItemID[agencyRole=\"container\"]/ID"
      },
      {
          "from": "pr_name",
          "to": "ItemMasterHeader/Description[type=\"itemName\" @languageID=\"fi-fi\"]"
      },
      {
          "from": "pr_product_id",
          "to": "ItemMasterHeader/Description[type=\"itemName2\"]"
      },
      {
          "from": "pr_explanation",
          "to": "ItemMasterHeader/Note[@type=\"warranty\"]"
      },
      {
          "from": "pr_info",
          "to": "ItemMasterHeader/Note[@type=\"deliveryList\"]"
      },
      {
          "from": "pr_info",
          "to": "ItemMasterHeader/Note[@type=\"pickList\"]"
      },
      {
          "from": "pr_info",
          "to": "ItemMasterHeader/Note[@type=\"arrivalList\"]"
      },
      {
          "from": "pr_product_group",
          "to": "ItemMasterHeader/Classification[@type=\"warehouseProductGroup\"]/Codes/Code[@sequence=\"1\"]"
      },
      {
          "from": "pr_subgroup",
          "to": "ItemMasterHeader/Classification[@type=\"productGroup\"]/Codes/Code[@sequence=\"5\"]"
      },
      {
          "from": "pr_work_load_group",
          "to": "ItemMasterHeader/Classification[@type=\"productGroup\"]/Description"
      },
      {
          "from": "pr_material_class",
          "to": "ItemMasterHeader/Classification[@type=\"fashionGroup\"]/Codes/Code[@sequence=\"1\"]"
      },
      {
          "from": "pr_work__position_num_id",
          "to": "ItemMasterHeader/Classification[@type=\"productLine\"]/Description"
      },
      {
          "from": "pr_quality",
          "to": "ItemMasterHeader/Classification[@type=\"qualityControl\"]/Codes/Code"
      },
      {
          "from": "pr_origin",
          "to": "ItemMasterHeader/Classification[@type=\"countryOfOrigin\"]/Codes/Code"
      },
      {
          "from": "pr_coming_amount",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"supplyQuantity\" @unitCode=\"PCE\"]"
      },
      {
          "from": "pr_minimum_stock",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"minStockLevel\" @unitCode=\"PCE\"]"
      },
      {
          "from": "pr_need_calculation_in_use",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"cableIndicator\"]"
      },
      {
          "from": "pr_stock_parcel_in_use",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"warrantyIndicator\"]"
      },
      {
          "from": "X",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"VATPercentage\"]"
      },
      {
          "from": "pr_storable",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"cumbersomeIndicator\"]"
      },
      {
          "from": "pr_action_limit__unit",
          "to": "ItemMasterHeader/Specification/Property/NameValue[@name=\"serialNumberFormat\"]"
      }
    ]
  }
]
